
 @import url('https://fonts.googleapis.com/css2?family=Ubuntu:wght@300;400;500;700&display=swap');


*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: ubuntu;
}

body{
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    background: linear-gradient(45deg,#C9BFE2 35%,#9A84F1 100%);
}

.container{
    height: 330px;
    background: #fff;
    max-width: 410px;
    border-radius: 7px;
    padding: 16px 25px;
    transition: heigth 0.5s ease;
    padding-top: 25px;
}

.container.active{
    height: 570px;
}

header h1{
    color: #3c1f58;
    text-align: center;
    font-weight: 600;
    font-size: 40px;
}

header p{
    color: #3c1f58;
    font-size: 16px;
    text-align: center;
    margin-top: 15px;
}

.container.form{
    padding: 20px 0 25px;
}

.container :where(input,button){
    width: 100%;
    height: 55px;
    border: none;
    outline: none;
    border-radius: 7px;
}

.form input{
    padding: 0 17px;
    margin-top: 20px;
    font-size: 18px;
    border: 1px solid #999;
}

.form button{
    color: #fff;
    background: #58347C;
    margin-top: 20px;
    font-size: 17px;
    cursor: pointer;
    transition: all 0.5s ease;
}

.form button:hover{
    background: #78529e;
}

.container.qr-code{
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 33px 0;
    pointer-events: none;
    opacity: 0;
}

.qr-code .img{
    width: 220px;
    height: auto;
    margin-top: 25px;
    display: block;
    margin-left: auto;
    margin-right: auto;
   
}

.container.active .qr-code{
    opacity: 1;
    pointer-events: auto;
    transition: opacity 0.5s ease;
}

.made{
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    bottom: 0;
    padding-bottom: 10px;
    color: #3c1f58;
}

@media only screen and (max-width: 950px){
    .container{
        width: 85%;
}}

@media only screen and (max-width: 600px){
    .container{
        width: 85%;
    } 
    .made{
        font-size: 12px;
        position: fixed;
        bottom: 0;
        left: 0;
    }
}
